## org.apache.lucene.util.packed
Interface PackedInts.Mutable

All Superinterfaces:
  PackedInts.Reader

All Known Implementing Classes:
  GrowableWriter

Enclosing class:
  PackedInts

    public static interface PackedInts.Mutable

extends PackedInts.Reader

A packed integer array that can be modified.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Method Summary
`void` `clear()` Sets all values to 0.
`void` `set(int index, long value)` Set the value at the given index in the array.

Methods inherited from interface org.apache.lucene.util.packed.PackedInts.Reader
`get, getArray, getBitsPerValue, hasArray, size`

Method Detail

### set

    void set(int index,
             long value)

  Set the value at the given index in the array.

  Parameters:
    `index` - where the value should be positioned.
    `value` - a value conforming to the constraints set by the array.

### clear

    void clear()

  Sets all values to 0.